Thursday, 15 December 2016 14:43

Mac how to Upgrade php v5 to php v7

We will proceed by installing PHP 5.5, PHP 5.6, PHP 7.0, and PHP 7.1 and using a simple script to switch between them as we need.

$ brew install php55 --with-apache
$ brew unlink php55
$ brew install php56 --with-apache
$ brew unlink php56
$ brew install php70 --with-apache
$ brew unlink php70
$ brew install php71 --with-apache

 Let's do it!

brew install php71

But, we looking Error:

==> Installing php71 from josegonzalez/php
Error: Cannot install josegonzalez/php/php71 because conflicting formulae are installed.

  php55: because different php versions install the same binaries.

Please `brew unlink php55` before continuing.

Unlinking removes a formula's symlinks from /usr/local. You can
link the formula again after the install finishes. You can --force this
install, but the build may fail or cause obscure side-effects in the
resulting software.

Dont panic! :-) Run unlink command:

brew unlink php55

# Unlinking /usr/local/Cellar/php55/5.5.38_11... 17 symlinks removed

Then try again:

brew install php71


# ==> Summary
# ?  /usr/local/Cellar/php71/7.1.0_11: 342 files, 39.7M

Then try our php version

php -v

PHP 7.1.0 (cli) (built: Dec  2 2016 03:30:24) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.1.0-dev, Copyright (c) 1998-2016 Zend Technologies